Get all variables
GET /apisix/admin/variables
GET /apisix/admin/variablesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/apisix/admin/variables"Successfully retrieved the list of available APISIX variables.
{
"value": [
{
"name": "arg_",
"description": "Object description."
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /apisix/admin/variables
Get all variables
List all APISIX variables (including built-in NGINX variables) that can be used in route matching conditions and plugin configurations.
Parameters
Responses
200: Successfully retrieved the list of available APISIX variables.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(array, optional): The APISIX variable list.value[].name(string, required): The variable name.value[].description(string, optional): The variable description.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/apisix/admin/variables'